package com.tryandroid.media.model;

public class Fps extends BaseIdName {
	public static BaseIdNameList list = new BaseIdNameList();

	public static final Fps FPS1 = new Fps(1, 1000);
	public static final Fps FPS2 = new Fps(2, 500);
	public static final Fps FPS5 = new Fps(5, 200);
	public static final Fps FPS10 = new Fps(10, 100);

	private long milliSec;

	protected Fps(int id, long milliSec) {
		super(String.valueOf(id), id + "fps(" + (double) milliSec / 1000
				+ "秒間隔)");
		this.milliSec = milliSec;
		list.add(this);
	}

	public long getMilliSec() {
		return milliSec;
	}

}
